org.apache.maven.artifact.handler.manager

## Class DefaultArtifactHandlerManager

- java.lang.Object
- - org.apache.maven.artifact.handler.manager.DefaultArtifactHandlerManager

All Implemented Interfaces:
  ArtifactHandlerManager

    public class DefaultArtifactHandlerManager
    extends java.lang.Object
    implements ArtifactHandlerManager

Version:
  $Id: DefaultArtifactHandlerManager.java,v 1.1.1.1 2004/08/09 18:37:32 jvanzyl Exp $
Author:
  Jason van Zyl

### Field Summary

### Fields inherited from interface org.apache.maven.artifact.handler.manager.ArtifactHandlerManager

`ROLE`

### Constructor Summary

Constructors
Constructor and Description
`DefaultArtifactHandlerManager()`

### Method Summary

Methods
`void` `addHandlers(java.util.Map handlers)`
`ArtifactHandler` `getArtifactHandler(java.lang.String type)`
`java.util.Set` `getHandlerTypes()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DefaultArtifactHandlerManager

    public DefaultArtifactHandlerManager()

### Method Detail

#### getArtifactHandler

    public ArtifactHandler getArtifactHandler(java.lang.String type)

Specified by:
  `getArtifactHandler` in interface `ArtifactHandlerManager`

#### addHandlers

    public void addHandlers(java.util.Map handlers)

Specified by:
  `addHandlers` in interface `ArtifactHandlerManager`

#### getHandlerTypes

    public java.util.Set getHandlerTypes()